[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| XYZ2LuvFunctor Class Template Reference |
--- | --- | ---

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*u*v*. More...

`#include "vigra/colorconversions.hxx"`

## Public Types

typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< component_type, 3 > | result_type
typedef TinyVector< component_type, 3 > | value_type

## Detailed Description

### template<class T>
class vigra::XYZ2LuvFunctor< T >

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*u*v*.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the transformation

where is the reference white point, and are the quantities calculated for this point. represents the lighness ("brightness") of the color, and code the chromaticity.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

| the result's component type

typedef TinyVector<component_type, 3> result_type

| the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)